#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import os
import sys
import json
from random import randrange
import math
import png

roads_generation_n = 0

building_textures = [{
    "texture": "textures/building0.png",
    "width": 200,
    "height": 300
}, {
    "texture": "textures/building1.png",
    "width": 300,
    "height": 200
}]

with open('map.json',) as file_map:
    data = json.load(file_map)
    map_width = data['width']
    map_height = data['height']

with open('roads.json',) as file_roads:
    data = json.load(file_roads)
    roads = data["roads"][0]['fill']
    road_width = data["roads"][0]['width']
    road_height = data["roads"][0]['height']
